net.sf.jasperreports.engine.export

## Class ExporterFilterContainer

- java.lang.Object
- - net.sf.jasperreports.engine.export.ExporterFilterContainer

- All Implemented Interfaces:
    ExporterFilter, ResetableExporterFilter

      public class ExporterFilterContainer
      extends java.lang.Object
      implements ResetableExporterFilter

  An exporter filter that consists of several exporter filter, and filters elements through each of them.
  Version:
    $Id: ExporterFilterContainer.java 6584 2013-10-14 10:05:52Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `isToExport(JRPrintElement)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExporterFilterContainer(java.util.List<ExporterFilter> filters)` Constructs a container for a list of exporter filters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isToExport(JRPrintElement element)` Returns `true` if the element is not filtered by any of the contained filters.
    `void` | `reset()` Clears the filter's internal cache that might have built up during use.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExporterFilterContainer

          public ExporterFilterContainer(java.util.List<ExporterFilter> filters)

      Constructs a container for a list of exporter filters.
      Parameters:
        `filters` - the list of filters

  - ### Method Detail

    - #### isToExport

          public boolean isToExport(JRPrintElement element)

      Returns `true` if the element is not filtered by any of the contained filters.
      Specified by:
        `isToExport` in interface `ExporterFilter`

    - #### reset

          public void reset()

      Description copied from interface: `ResetableExporterFilter`
      Clears the filter's internal cache that might have built up during use. Filters implementing this interface usually cache data and they need to be reset before being used again.
      Specified by:
        `reset` in interface `ResetableExporterFilter`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com